Skip to content

Returns the current assignment timeline for one Board Status responsibility.

GET
/api/workspace/boards/{boardId}/statuses/{resourceObjectId}/responsibilities/{responsibilityKey}
curl --request GET \
--url https://example.com/api/workspace/boards/example/statuses/example/responsibilities/example
  • None
boardId
required
string
resourceObjectId
required
string
responsibilityKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Returns the current responsibility assignments.

object
Resource

Identifies one runtime resource.

object
ResourceModule
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
ResponsibilityKey
string
nullable
Subjects
Array<object>
nullable

Describes one assigned responsibility subject.

object
SubjectType
string
nullable
SubjectId
string
nullable
EffectiveFrom
string format: date-time
EffectiveTo
string format: date-time
nullable
ResourceRowVersion
string format: uuid
SubjectDisplays

Server-resolved subject display names keyed by SubjectType:SubjectId.

object
key
additional properties
string
Actions

Server-computed responsibility assignment actions for the caller.

object
CanAdd
boolean
CanReplace
boolean
CanClose
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}